game_level_hints.levels["Level02_01_S8"] = function()
	return 
    {
		miniscenes
		({
			level02_scene02_01 = -- жилая комната
			{
				on_scene("level02_scene02_03", end_level("door_room01")),
				on_scene("level02_miniscene_recorder", end_level("back_close_recorder")),
				on_scene("level02_miniscene_picture", end_level("back_close_picture")),
				on_scene("level02_miniscene_safe", end_level("back_close_safe")),
				on_scene("level02_miniscene_fireplace", end_level("back_close_fireplace")),
				on_scene("level02_scene02_04", end_level("back_close_scene02_04"))
			},
			level02_scene02_02 = -- кухня
			{
				on_scene("level02_scene02_04", end_level("door_room02")),
				on_scene("level02_miniscene_sink", end_level("back_close_sink")),
				on_scene("level02_miniscene_plates", end_level("back_close_plates")),
				on_scene("level02_miniscene_break_vase", end_level("back_close_break_vase")),
				on_scene("level02_scene02_03", end_level("back_close_scene02_03"))
			},
			level02_scene02_03 = -- коридор (со входом в комнату)
			{
				on_scene("level02_scene02_02", end_level("door07")),
				on_scene("level02_miniscene_bag", end_level("back_close_bag"))				
			},
			level02_scene02_04 = -- коридор (со входом в кухню)
			{
				on_scene("level02_scene02_01", end_level("door")),
				on_scene("level02_miniscene_bag", end_level("back_close_bag"))
			},
			level02_miniscene_sink = -- раковина
			{
				IF(NOT(state("Screw", "screw02")), on_scene("level02_scene02_02", miniscene("sink")))
			},
			level02_miniscene_recorder = -- музыкальный центр
			{
				on_scene("level02_scene02_01", miniscene("recorder"))
			},
			level02_miniscene_picture = -- картина
			{
				on_scene("level02_scene02_01", miniscene("picture01"))
			},
			level02_miniscene_safe = -- сейф
			{
				IF(state("Safe", "safe02"), on_scene("level02_scene02_01", miniscene("Safe")))
			},
			level02_miniscene_plates = -- стена с тарелками и часами
			{
				on_scene("level02_scene02_02", miniscene("Plate01")),
				on_scene("level02_scene02_02", miniscene("Clock")),				
				on_scene("level02_scene02_02", miniscene("Plate02"))
			},
			level02_miniscene_fireplace = -- камин
			{
				on_scene("level02_scene02_01", miniscene("area_fireplace"))
			},
			level02_miniscene_break_vase = -- разбитая ваза с числом
			{
				IF(state("Vase03", "vase03_01"), on_scene("level02_scene02_02", click("Vase03", "Hammer"))),
				IF(state("Vase03", "vase03_02"), on_scene("level02_scene02_02", miniscene("Vase03")))
			},
			level02_miniscene_bag = -- чулан с чемоданом с деньгами
			{
				on_scene("level02_scene02_04", end_level("Door_store_room02")),
				on_scene("level02_scene02_03", end_level("Door_store_room01"))			
			}			
		}),
		
		-- хинты событий
		on_scene("level02_scene02_01", 
		{
			IF(state("Box", "box01"), minigame("Box")), -- пришли мини-игру с перестановкой диезов и бемолей - получили диск			
		}),
		on_scene("level02_miniscene_recorder", 
		{
			IF(in_inv("disc01"),
			{
				IF(state("Disk_drive", "disk_drive01"), click("Disk_drive")), -- выдвинули дисковод
				IF({ NOT(hidden("Disc02")), state("Disc02", "disc02_01") }, click("Disc02")), -- убрали диск из дисковода
			}),
			IF({ state("Disk_drive", "disk_drive02"), state("Disc02", "disc02_02") }, click("Disk_drive", "disc01")) -- вставили другой диск			
		}),
		on_scene("level02_miniscene_fireplace", 
		{
			IF({ disabled("_area_scroll_hint"), hidden("paper03") }, click("paper01")) -- посмотрели схему настройки музыкального центра
		}),
		on_scene("level02_miniscene_recorder", 
		{
			IF({ NOT(disabled("_area_scroll_hint")), state("Music01", "music01_01") }, click("_area_scroll_hint")) -- выставляем правильное положение бегунков
		}),
		on_scene("level02_miniscene_sink", 
		{
			IF({ state("Screw", "screw01"), state("Valve01", "valve01_01") },  click("Valve01")) -- открываем воду в раковине
		}),
		on_scene("level02_miniscene_bag", take("Monkey_wrench01")), -- взяли разводной ключ
		on_scene("level02_scene02_02", 
		{
			IF(state("Screw", "screw02"),
			{
				IF(state("Door01", "door01_01"), click("Door01")), -- открываем дверцы под раковиной
				IF(state("Door02", "door02_01"), click("Door02")),
				click("Screw", "Monkey_wrench01") -- применяем разводной ключ на шайбу				
			}),
			IF(state("Screw", "screw03"), take("Kettle01")) -- берём чайник в инвентарь
		}),
		on_scene("level02_miniscene_sink", 
		{
			-- наполняем чайник водой			
			IF({ state("Screw", "screw03"), in_inv("Kettle01") }, click("sink_mini", "Kettle01")),
			IF({ state("Screw", "screw03"), in_inv("Kettle01_mini") }, click("sink_mini", "Kettle01_mini")),
			IF({ state("Screw", "screw03"), in_inv("kettle03") }, click("sink_mini", "kettle03")),
			IF({ state("Screw", "screw03"), NOT(state("Valve01", "valve01_02")), state("Kettle01_mini", "kettle01_mini02") }, click("Valve01"))
			
		}),
		on_scene("level02_scene02_01",  -- будим дядю
		{
			IF(state("Uncle", "uncle01"), click("Uncle", "kettle02")),
			IF(state("Uncle", "uncle03"), click("Uncle", "kettle02"))
		}),
		on_scene("level02_scene02_02", 
		{
			IF({ state("Uncle", "uncle05"), state("Mermaid", "mermaid01") }, click("Mermaid")) -- клик на русалку - отъезжает скрытая панель
		}),
		on_scene("level02_miniscene_bag", take("Glaizer01")), -- взяли стеклорез		
		on_scene("level02_scene02_02", 
		{
			IF(state("Secretdoor", "secretdoor02"), click("Secretdoor", "Glaizer01")), -- вырезали дырку в стекле
			take("Pot01") -- взяли банку с огурцами
		}),
		on_scene("level02_scene02_01", 
		{
			IF(in_inv("Pot01"), take("Opener")), -- взяли открывалку - открыли банку с огурцами
			IF(state("Uncle", "uncle05"), click("Uncle", "pot04")) -- отдали дяде банку с огурцами			
		}),		
		on_scene("level02_miniscene_plates",
		{
			-- вытаскиваем батарейку из часов на кухне
			IF({ state("Uncle", "uncle08"), state("Control_panel", "control_panel02")},
			{
				IF({ state("Clock_mini", "clock_mini01"), on_level("Battery01")}, click("Clock_mini")),
				take("Battery01")
			})
		}),
		on_scene("level02_scene02_01", 
		{
			IF(state("Control_panel", "control_panel02"), click("Control_panel", "Battery01")), -- вставляем батарейку в пульт
			IF({ state("Uncle", "uncle08"), NOT(hidden("Safe")), state("Safe", "safe01"), state("Flag_picture", "flag_picture01") }, miniscene("picture01")) -- смотрим картину с ночным городом
		}),
		on_scene("level02_scene02_02",
		{
			take("Hammer"), -- берём молоток
			IF({ state("Uncle", "uncle08"), NOT(hidden("Safe")), state("Safe", "safe01") },
			{				
				IF(state("Vase03", "vase03_01"), click("Vase03", "Hammer")) -- разбиваем жёлтую вазу
			})
		}),
		
		on_scene("level02_miniscene_plates",
		{
			IF({ state("Uncle", "uncle08"), NOT(hidden("Safe")), state("Safe", "safe01"), state("Flag_plates", "flag_plates01")  },
			{
				-- переворачиваем тарелки цифрами вверх
				IF(state("Plate_mini01", "plate_mini01_01"), click("Plate_mini01")),
				IF(state("Plate_mini02", "plate_mini02_01"), click("Plate_mini02"))
			})
		}),
		on_scene("level02_scene02_01", 
		{
			IF({ NOT(hidden("Safe")), state("Safe", "safe01") }, minigame("Safe")) -- проходим игру с сейфом
		}),
		on_scene("level02_miniscene_safe", take("Key01")), -- взяли ключ от чемодана
		on_scene("level02_miniscene_bag",
		{
			IF(state("Hog02_suitcase01", "hog02_suitcase01_01"), click("Hog02_suitcase01", "Key01")), -- открываем чемодан с деньгами в чулане
			-- собираем деньги
			take("Money01"),
			take("Money02"),
			take("Money03"),
			take("Money04"),
			take("Money05"),
			take("Money06"),
			take("Money07"),
			take("Money08"),
			take("Money09"),
			take("Money10"),
			take("Money11"),
			take("Money12"),
			take("Money13"),
			take("Money14"),
			take("Money15"),
			take("Money16"),
			take("Money17"),
			take("Money18"),
			take("Money19"),
			take("Money20")
		})
	}
end 